# Interface JvmTestSuiteBinarySpec

All Superinterfaces:
  `Binary, BinarySpec, Buildable, BuildableComponentSpec, CheckableComponentSpec, ComponentSpec, JvmBinarySpec, ModelElement, Named, TestSuiteBinarySpec, org.gradle.jvm.internal.WithDependencies`

All Known Subinterfaces:
  `JUnitTestSuiteBinarySpec`

@Incubating public interface JvmTestSuiteBinarySpec extends TestSuiteBinarySpec, JvmBinarySpec, org.gradle.jvm.internal.WithDependencies
Base type of JVM test suite binaries.

Since:
  2.11

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static interface`
`JvmTestSuiteBinarySpec.JvmTestSuiteTasks`
Provides direct access to important build tasks of JVM test suites.

### Nested classes/interfaces inherited from interface Named

`Named.Namer`

## Method Summary

Modifier and Type
Method
Description
`org.gradle.jvm.internal.DependencyResolvingClasspath`
`getRuntimeClasspath()`
`JvmTestSuiteBinarySpec.JvmTestSuiteTasks`
`getTasks()`
The set of tasks associated with this binary.
`JvmBinarySpec`
`getTestedBinary()`
Returns the binary tested by this test suite.
`JvmTestSuiteSpec`
`getTestSuite()`
Returns the test suite that this binary belongs to.

### Methods inherited from interface Binary

`getDisplayName`

### Methods inherited from interface BinarySpec

`getInputs, getSources, isBuildable`

### Methods inherited from interface Buildable

`getBuildDependencies`

### Methods inherited from interface BuildableComponentSpec

`builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

### Methods inherited from interface CheckableComponentSpec

`checkedBy, getCheckTask, setCheckTask`

### Methods inherited from interface ComponentSpec

`getProjectPath`

### Methods inherited from interface JvmBinarySpec

`getClassesDir, getResourcesDir, getTargetPlatform, getToolChain, setClassesDir, setResourcesDir, setTargetPlatform, setToolChain`

### Methods inherited from interface ModelElement

`getDisplayName, getName`

### Methods inherited from interface org.gradle.jvm.internal.WithDependencies

`getDependencies, setDependencies`

## Method Details

### getTestSuite

JvmTestSuiteSpec getTestSuite()
Description copied from interface: `TestSuiteBinarySpec`
Returns the test suite that this binary belongs to.

Specified by:
  `getTestSuite` in interface `TestSuiteBinarySpec`

### getTestedBinary

JvmBinarySpec getTestedBinary()
Description copied from interface: `TestSuiteBinarySpec`
Returns the binary tested by this test suite.

Specified by:
  `getTestedBinary` in interface `TestSuiteBinarySpec`

### getTasks

JvmTestSuiteBinarySpec.JvmTestSuiteTasks getTasks()
Description copied from interface: `BinarySpec`
The set of tasks associated with this binary.

Specified by:
  `getTasks` in interface `BinarySpec`

### getRuntimeClasspath

org.gradle.jvm.internal.DependencyResolvingClasspath getRuntimeClasspath()